#! /bin/bash
# script to create a release tarball for strigi
# this is needed since the project is split up in separate git moduls
TAG=0.7.7
# First pull git
git clone git://anongit.kde.org/strigi
pushd strigi
for f in libstreams libstreamanalyzer strigidaemon strigiclient strigiutils; do
git clone git://anongit.kde.org/$f
done
# & now create the archive
git archive --format=tar --prefix=strigi-$TAG/ -o strigi-$TAG.tar v$TAG
for f in libstreams libstreamanalyzer strigidaemon strigiclient strigiutils; do
  pushd $f
  git archive --format=tar --prefix=strigi-$TAG/$f/ -o tmptar v$TAG
  tar Af ../strigi-$TAG.tar tmptar
  rm tmptar
  popd
done
xz -9 strigi-$TAG.tar
mv strigi-$TAG.tar.xz ../strigi-$TAG.tar.xz
# once it's done clear the git folder
popd
rm -rf strigi